using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("RFID卡")]
    public partial class T_OP_RFID_CARD : MesEntityBase
    {
        [CUnique]
        [Description("充值卡编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        [Description("RFID")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string RFID { get; set; }

        [Description("RFID卡状态")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [EnumName("OPRechargeCardStatusEnum")]
        public int STATUS { get; set; }

        [Description("身份证")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string IDENTIFICATION { get; set; }

        [Description("备注")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string REAMRK { get; set; }

    }
}
